/* --- BEGIN 'top' portion of acconfig.h --- */

/* acconfig.h is here to make autoheader happy and smile. -kir */

#ifndef _UDM_CONFIG_H
#define _UDM_CONFIG_H

/* --- END 'top' portion of acconfig.h --- */
/* @TOP@ */ 




/* Define if you have tm_gmtoff in struct tm */
#undef HAVE_TM_GMTOFF

/* Define if you have POSIX type signal handling routines */
#undef HAVE_POSIX_SIGNALS

/* Define if you want to use threaded indexer */
#undef HAVE_PTHREAD

/* Define if automatic charset guesser is enabled */
#undef USE_CHARSET_GUESSER

/* Define if you want to use syslog for logging indexer messages */
#undef USE_SYSLOG

/* Define if you want to use external parser */
#undef USE_PARSER

/* Define if you want mp3 id3 tags support */
#undef USE_MP3

/* Define if you want to support file:// URL schema */
#undef USE_FILE

/* Define if you want to support http:// URL schema */
#undef USE_HTTP

/* Define if you want to support ftp:// URL schema */
#undef USE_FTP

/* Define if you want to support news:// URL schema */
#undef USE_NEWS

/* Define if you want to group weight support */
#undef USE_GROUP

/* Define if you want extended NEWS features */
#undef NEWS_EXT

/* Define if you want to enable wildcards in search.cgi URL limits */
#undef USE_AUTO_WILD

/* Define if you want to use MySQL */
#undef HAVE_MYSQL

/* Define if you want to use PostgreSQL */
#undef HAVE_PGSQL

/* Define if you want to use mSQL */
#undef HAVE_MSQL

/* Define if you want to use iODBC */
#undef HAVE_IODBC

/* Define if you want to use unixODBC */
#undef HAVE_UNIXODBC

/* Define if you want to use Solid SQL Server */
#undef HAVE_SOLID

/* Define if you want to use OpenLink ODBC (Virtuoso) */
#undef HAVE_VIRT

/* Define if you want to use EasySoft ODBC */
#undef HAVE_EASYSOFT

/* Define if you want to use Interbase SQL Server */
#undef HAVE_IBASE

/* Define if you want to use Oracle 8 SQL Server */
#undef HAVE_ORACLE8

/* Define if you want to use Oracle 7 SQL Server */
#undef HAVE_ORACLE7

/* Define if you want to use built-in text file based database */
#undef HAVE_FILES



/* @BOTTOM@ */
/* --- BEGIN 'bottom' portion from acconfig.h --- */

/* Backend */
#if (HAVE_MYSQL||HAVE_PGSQL||HAVE_MSQL||HAVE_IODBC||HAVE_UNIXODBC||HAVE_SOLID||HAVE_VIRT||HAVE_IBASE||HAVE_ORACLE8||HAVE_ORACLE7||HAVE_EASYSOFT)
#define HAVE_SQL
/* Define if you want to support htdb:// URL schema */
#undef USE_HTDB
#endif

#if (HAVE_PTHREAD && __linux__)
#define _REENTRANT
#define _P __P
#endif

#endif /* _UDM_CONFIG_H */
/* --- END 'bottom' portion from acconfig.h --- */
