#ifndef _UDM_CONF_H
#define _UDM_CONF_H

/* Allow/Disallow/CheckOnly constants*/

#define UDM_NOTFOUND	0
#define UDM_ALLOW	1
#define UDM_DISALLOW	2
#define UDM_HEAD	3
#define UDM_HREFONLY	4

extern __INDLIB__ UDM_ENV *	UdmAllocEnv(void);
extern __INDLIB__ UDM_ENV *	UdmLoadConfig(UDM_ENV *,char * name,int level,int flags);
extern __INDLIB__ void 		UdmFreeEnv(UDM_ENV * );
extern __INDLIB__ int		UdmEnvErrCode(UDM_ENV *);
extern __INDLIB__ char*		UdmEnvErrMsg(UDM_ENV *);
extern __INDLIB__ int		UdmEnvSetDBAddr(UDM_ENV *, char * str);
extern __INDLIB__ int		UdmEnvSetDBMode(UDM_ENV *, char * str);

extern int		UdmInit();
extern int		UdmFilterType(UDM_ENV *,char * param, char *reason);
extern UDM_SERVER *	UdmFindServer(UDM_ENV *,char * url);
extern UDM_ALIAS  *	UdmFindAlias(UDM_ENV *,char * url);


#endif
