#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>

#include "udm_config.h"
#ifdef HAVE_GETOPT_H
#include <getopt.h>
#endif

#include "udmsearch.h"

int main(int argc,char **argv){
int ch,log;
int from=0;
int to=0xFF;

	while ((ch = getopt(argc, argv, "t:f:")) != -1){
		switch (ch) {
			case 'f':
				sscanf(optarg,"%x",&from);
				if(from<0)from=0;
				if(from>0xFF)from=0xFF; 
				break;	
			case 't': 
				sscanf(optarg,"%x",&to);
				if(to<0)to=0;
				if(to>0xFF)to=0xFF;
				break;
		}
	}
	
	
	for(log=from;log<=to;log++){
		printf("Splitting log #%08X\n",log);
		UdmSplitCacheLog(log);
	}
	
	return 0;
}
